package libreria;

public class Libro
implements Popolabile, Comparable<Libro>
{
	String titolo;//chiave univoca
	String autore;//non univoco

	public boolean popola(java.util.Scanner s)
	{
		if(s.hasNextLine())
		{
			autore = s.nextLine();
		}
		else
		{
			return false;
		}
		if(s.hasNextLine())
		{
			titolo = s.nextLine();
		}
		else
		{
			return false;
		}
		return true;
	}

	public String toString()
	{
		return "Titolo: " + titolo + "; Autore: " + autore;
	}

	public boolean equals(Object o)
	{
		if(!(o instanceof Libro))
		{
			return false;
		}

		return titolo.equals( ((Libro)o).titolo);
	}

	public String getTitolo()
	{
		return titolo;
	}

	public String getAutore()
	{
		return autore;
	}

	public int compareTo(Libro l)
	{
		return titolo.compareTo(l.titolo);
	}
}
