package map;

import java.util.*;
import java.io.*;

public class Bulloni
{
	Map disponibilita = null;
	Map diametro = null;
	Map bulloni = null;
	Scanner stdin = null;

	public Bulloni()
	{
		disponibilita = new HashMap();
		diametro = new HashMap();
		bulloni = new HashMap();
		stdin = new Scanner(System.in);
	}

	public static void main(String[] argv)
	{
		(new Bulloni()).exec(argv);
	}

	void exec(String[] argv)
	{
		while(true)
		{
			System.out.print("? > ");
			String line = stdin.nextLine();
			
			if(line.equals("Cerca"))
			{
				System.out.print("Codice bullone ? > ");
				String cod = stdin.nextLine();
				Integer i = (Integer)disponibilita.get(cod);
				System.out.println("Ho " + i + " bulloni di tipo " + cod + " a magazzino");
			}
			else if(line.equals("Inserisci"))
			{
				System.out.print("Codice bullone ? > ");
				String cod = stdin.nextLine();
				Bullone b = (Bullone)bulloni.get(cod);
				if(b == null)//non ho ancora le informazioni per quel bullone
				{
					System.out.println("Non conosco il bullone di tipo " + cod + " forniscimi la descrizione");
					b = new Bullone(cod, stdin);
					bulloni.put(cod, b);

					//inserisco nella mappa dei diametri
					Double d = new Double(b.diametro);
					List l = (List)diametro.get(d);
					if(l == null)
					{
						l = new LinkedList();
						diametro.put(d, l);
					}
					l.add(b);
				}
				System.out.println("Quanti ? > ");
				int inc = Integer.parseInt(stdin.nextLine());
				Integer i = (Integer)disponibilita.get(cod);
				if(i == null)
				{
					i = new Integer(0);
				}
				Integer incVal = new Integer(i.intValue() + inc);
				disponibilita.put(cod, incVal);
			}
			else if(line.equals("Diametro"))
			{
				System.out.print("Che diametro ? > ");
				Double d = new Double(stdin.nextLine());
				List l = (List)diametro.get(d);
				System.out.println(l);
			}
			else if(line.equals("Stampa"))
			{
				System.out.println(disponibilita);
			}
			else if(line.equals("Esci"))
			{
				break;
			}
		}
	}
}
